<?php

namespace App\Models\Orders;

use Illuminate\Database\Eloquent\Model;

class SalesSeparatedLog extends Model
{
    protected $table = 'sale_separete_log';
    protected $fillable = [
        'order_id',
        'order_item_id',
        'status_id',
        'separate',
        'location_code',
        'commit'
    ];

    public function order()
    {
        return $this->belongsTo(SalesOrder::class);
    }
    public function orderItem()
    {
        return $this->belongsTo(SalesOrderDetail::class);
    }
    public function status()
    {
        return $this->belongsTo(status::class);
    }
}
